aboutsummaryrefslogtreecommitdiffstats
path: root/find-provides.in
diff options
context:
space:
mode:
Diffstat (limited to 'find-provides.in')
-rwxr-xr-xfind-provides.in10
1 files changed, 5 insertions, 5 deletions
diff --git a/find-provides.in b/find-provides.in
index be99d57..b134058 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -10,7 +10,7 @@ solist=$(echo "$filelist" | egrep -v "^/lib/ld\.so|/usr/lib(64)?/gcj/" | egrep '
pythonlist=
tcllist=
rubygemlist=$(echo "$filelist"| egrep "\.gemspec$")
-mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-poms/.*\.pom')
+mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-fragments/*')
osgilist=$(echo "$filelist" |egrep "^(.*\.jar|((/usr/lib(64)|/usr/share).*/MANIFEST.MF))")
#
@@ -148,8 +148,8 @@ fi
#
# --- osgi provides
if [ -x @RPMLIBDIR@/osgi.prov ];then
- if [ ! -z $osgilist ]; then
- echo $osgilist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
+ if [ ! -z "$osgilist" ]; then
+ echo "$osgilist" | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1
fi
fi
@@ -157,8 +157,8 @@ fi
#
# --- maven provides
if [ -x @RPMLIBDIR@/maven.prov ];then
- if [ ! -z $mavenlist ]; then
- echo $mavenlist | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.prov \
+ if [ ! -z i"$mavenlist" ]; then
+ echo "$mavenlist" | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.prov \
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/maven.prov failed' >&2 && exit 1
fi
fi